Subject: Re: [PATCH 1/2] PPC4xx: Generelizing drivers/dma/ppc4xx/adma.c

From: Stefan Roese <[email-masked]>
Date: Fri, 24 Sep 2010 08:58:04 +0200

On Friday 24 September 2010 00:39:47 Tirumala Marri wrote:
> > Will both versions of this driver exist in the same kernel build?  For
> > example the iop-adma driver supports iop13xx and iop3xx, but we select
> > the archtitecture at build time?  Or, as I assume in this case, will
> > the
> > two (maybe more?) ppc4xx adma drivers all be built in the same image,
> > more like ioatdma?
> 
> [Marri] We select the architecture at build time.

It would be really preferable to support all those platforms in a single Linux 
image. If technically possible, please try to move this direction.

Thanks.

Cheers,
Stefan